## DMS Get Operating Mode request DMS Get Operating Mode request |

## Functions

QmiMessageDmsGetOperatingModeOutput * | qmi_message_dms_get_operating_mode_output_ref ()
void | qmi_message_dms_get_operating_mode_output_unref ()
gboolean | qmi_message_dms_get_operating_mode_output_get_result ()
gboolean | qmi_message_dms_get_operating_mode_output_get_mode ()
gboolean | qmi_message_dms_get_operating_mode_output_get_offline_reason ()
gboolean | qmi_message_dms_get_operating_mode_output_get_hardware_restricted_mode ()
void | qmi_client_dms_get_operating_mode ()
QmiMessageDmsGetOperatingModeOutput * | qmi_client_dms_get_operating_mode_finish ()

## Types and Values

| QmiMessageDmsGetOperatingModeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetOperatingModeOutput

## Description

## Functions

### qmi_message_dms_get_operating_mode_output_ref ()

    QmiMessageDmsGetOperatingModeOutput *
    qmi_message_dms_get_operating_mode_output_ref
                                   (QmiMessageDmsGetOperatingModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_operating_mode_output_unref ()

    void
    qmi_message_dms_get_operating_mode_output_unref
                                   (QmiMessageDmsGetOperatingModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |

Since: 1.0

### qmi_message_dms_get_operating_mode_output_get_result ()

    gboolean
    qmi_message_dms_get_operating_mode_output_get_result
                                   (QmiMessageDmsGetOperatingModeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_get_operating_mode_output_get_mode ()

    gboolean
    qmi_message_dms_get_operating_mode_output_get_mode
                                   (QmiMessageDmsGetOperatingModeOutput *self,
                                    QmiDmsOperatingMode *value_mode,
                                    GError **error);

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |
value_mode | a placeholder for the output QmiDmsOperatingMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_operating_mode_output_get_offline_reason ()

    gboolean
    qmi_message_dms_get_operating_mode_output_get_offline_reason
                                   (QmiMessageDmsGetOperatingModeOutput *self,
                                    QmiDmsOfflineReason *value_offline_reason,
                                    GError **error);

Get the 'Offline Reason' field from `self` .

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |
value_offline_reason | a placeholder for the output QmiDmsOfflineReason, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_get_operating_mode_output_get_hardware_restricted_mode ()

    gboolean
    qmi_message_dms_get_operating_mode_output_get_hardware_restricted_mode
                                   (QmiMessageDmsGetOperatingModeOutput *self,
                                    gboolean *value_hardware_restricted_mode,
                                    GError **error);

Get the 'Hardware Restricted Mode' field from `self` .

#### Parameters

self | a QmiMessageDmsGetOperatingModeOutput. |
value_hardware_restricted_mode | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_get_operating_mode ()

    void
    qmi_client_dms_get_operating_mode (QmiClientDms *self,
                                       gpointer unused,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Get Operating Mode request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_operating_mode_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_get_operating_mode_finish ()

    QmiMessageDmsGetOperatingModeOutput *
    qmi_client_dms_get_operating_mode_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_get_operating_mode()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_operating_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetOperatingModeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_operating_mode_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsGetOperatingModeOutput

    typedef struct _QmiMessageDmsGetOperatingModeOutput QmiMessageDmsGetOperatingModeOutput;

The QmiMessageDmsGetOperatingModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0